#include<bits/stdc++.h>

using namespace std;
//const int MAXN = ;
template<typename ...Args>
inline void logs(char *str,Args ...args){
	fprintf(stderr,str,args...);
}

int c,q;

void solve();

signed main(){
	ios::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);
	freopen("traverse.in","r",stdin);
	freopen("traverse.out","w",stdout);
	cin>>c>>q;
	while(q--)
		cout<<"1\n";
}

